<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/sim/si_sm_run.tcl Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_570b4db95f0cd4dd051651dda45f74e5.html">timing_system</a></li><li class="navelem"><a class="el" href="dir_5ecb0f3efadd41a75c05126d7e42f905.html">sim</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">si_sm_run.tcl</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;restart -f<span class="comment"></div>
</span><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;force -freeze sim:/dcc_si5344_control/clk_sys_50Mhz 1 0, 0 {10000 ps} -r 20000<span class="comment"></div>
</span><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/clk_DTS 1 0, 0 {10000 ps} -r 19900<span class="comment"></div>
</span><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;force -freeze sim:/dcc_si5344_control/reset_DTS 0 0<span class="comment"></div>
</span><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;force -freeze sim:/dcc_si5344_control/control.I2C.run 0 0<span class="comment"></div>
</span><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.address x&quot;00&quot; 0<span class="comment"></div>
</span><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.byte_count &quot;000&quot; 0<span class="comment"></div>
</span><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.rw 1 0<span class="comment"></div>
</span><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="comment">#force -freeze sim:/dcc_si5344_control/control.I2C.rd_data x&quot;00000000&quot; 0</div>
</span><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.wr_data x&quot;00000000&quot; 0<span class="comment"></div>
</span><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">#20*19.9 ns</div>
</span><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"></span>run 398 ns<span class="comment"></div>
</span><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;force -freeze sim:/dcc_si5344_control/reset_DTS 1 0<span class="comment"></div>
</span><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"></span>run 19.9 ns<span class="comment"></div>
</span><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/reset_DTS 0 0<span class="comment"></div>
</span><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;run 19980.1 ns<span class="comment"></div>
</span><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.run 1 0<span class="comment"></div>
</span><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span>run 20ns<span class="comment"></div>
</span><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/control.I2C.run 0 0<span class="comment"></div>
</span><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;run 400 us<span class="comment"></div>
</span><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/reset_DTS 1 0<span class="comment"></div>
</span><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"></span>run 25 ns<span class="comment"></div>
</span><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"></span>force -freeze sim:/dcc_si5344_control/reset_DTS 0 0<span class="comment"></div>
</span><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;run 1 ms</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
